program correct_shift

  use sep
  implicit none

  integer                               :: ntau,nv,ncmp,i
  real                                  :: otau,dtau,ov,dv,time,ocmp,dcmp
  real,dimension(:,:,:),allocatable     :: semblance

  call sep_init()

  call from_history("n1",ntau)
  call from_history("o1",otau)
  call from_history("d1",dtau)

  call from_history("n2",nv)
  call from_history("o2",ov)
  call from_history("d2",dv)

  call from_history("n3",ncmp)
  call from_history("o3",ocmp)
  call from_history("d3",dcmp)

  allocate(semblance(ntau,nv,ncmp)) 

  call sep_read(semblance)
  do i=1,ncmp/2
      semblance(:,:,2*i) = semblance(:,:,2*i-1)
  end do

  call sep_write(semblance)
  call to_history("n1",ntau)
  call to_history("o1",otau)
  call to_history("d1",dtau)
  call to_history("n2",nv)
  call to_history("o2",ov)
  call to_history("d2",dv)
  call to_history("n3",ncmp)
  call to_history("o3",ocmp)
  call to_history("d3",dcmp)

  call sep_close()

end program
