! Dot product test for matrix multiplication
program dp_test_mat_mult

  use sep
  use mat_mult_mod
  use dptest_mod

  implicit none

  integer              :: n,i,j
  real, dimension(2)   :: dot1, dot2
  real                 :: rand
  real,dimension(:,:),allocatable  :: matrix

  call sep_init()

  n=10

  allocate(matrix(n,n))

  do i=1,n
    do j=1,n
      call random_number(rand)
      matrix(i,j) = rand * 100.0
    end do
  end do

  call mat_mult_init(n,matrix)

  call dptest(mat_mult_op,n,n,dot1,dot2)

  write(0,*) dot1
  write(0,*) dot2

  call to_history("dot1", dot1)
  call to_history("dot2", dot2)

  call sep_close()

end program
