program retrend

  use sep

  implicit none

  real                                   :: oz,dz,ox,dx
  integer                                :: nz,nx,i
  real,dimension(:,:),allocatable        :: det_model,model
  real,dimension(:),allocatable          :: trend

  call sep_init()

  call from_history("n1",nz)
  call from_history("o1",oz)
  call from_history("d1",dz)
  call from_history("n2",nx)
  call from_history("o2",ox)
  call from_history("d2",dx)

  allocate(det_model(nz,nx))
  allocate(model(nz,nx))  
  allocate(trend(nz))

  call sep_read(det_model)
  call sep_read(trend,"trend")

  do i=1,nz
    model(i,:) = det_model(i,:) + trend(i)
  end do

  call sep_write(model)
  call to_history("n1",nz) 
  call to_history("o1",oz)
  call to_history("d1",dz)
  call to_history("n2",nx) 
  call to_history("o2",ox)
  call to_history("d2",dx)

  call sep_close()

end program


