program generate_blank

  use sep

  implicit none

  real                               :: ot,dt,ox,dx
  integer                            :: nt,nx
  real,dimension(:,:),allocatable    :: model,flag

  call sep_init()

  call from_param("nt",nt)
  call from_param("ot",ot)
  call from_param("dt",dt)

  call from_param("ncmp",nx)
  call from_param("ocmp",ox)
  call from_param("dcmp",dx)

  allocate(model(nt,nx))
  allocate(flag(nt,nx))
  model = 0
  flag = 0

  call sep_write(model)
  call sep_write(flag,"flag")

  call to_history("n1",nt)
  call to_history("o1",ot)
  call to_history("d1",dt)
  call to_history("n2",nx)
  call to_history("o2",ox)
  call to_history("d2",dx)

  call to_history("n1",nt,"flag")
  call to_history("o1",ot,"flag")
  call to_history("d1",dt,"flag")
  call to_history("n2",nx,"flag")
  call to_history("o2",ox,"flag")
  call to_history("d2",dx,"flag")

  call sep_close()

end program
