program inverse_test_program
  !this program simply tests the subroutine "invert_system" contained in the invert_matrix_mod module 
  use invert_matrix_mod

  implicit none

  real,dimension(3)       :: data,model
  real,dimension(3,3)    :: matrix 
  integer                  :: i

  data  = 0.
  model = 0.
  matrix = 0.
  do i=1,3
    data(i) = 1.0
    !matrix(i,i) = 1.0 * 1/i
  end do      

  matrix(1,1) = 0.2
  matrix(2,1) = 50.0
  matrix(3,1) = 12.0
  matrix(2,2) = 1.0
  matrix(3,2) = 0.2
  matrix(3,3) = 1.3
  matrix(2,3) = matrix(3,2)
  matrix(1,2) = matrix(2,1)
  matrix(1,3) = matrix(3,1)
  
  call invert_system(matrix,model,data)
  do i=1,3
    write(0,*) "model",i,model(i) 
  end do

end program
