! steepest descent stepper module
module sdstep_mod   
  implicit none
  contains
  integer function sdstep( forget, x, g, rr, gg)
    real, dimension (:)  :: x, g, rr, gg
    logical              :: forget 
    double precision     :: alfa
    if ( dot_product(gg, gg) .eq. 0 ) then
      call erexit('sdstep: grad vanishes identically')
    end if
    alfa = - sum( dprod( gg, rr)) / sum( dprod( gg, gg))
    x  = x  + alfa * g                    ! update solution
    rr = rr + alfa * gg                   ! update residual
    sdstep = 0
  end function 
end module 
