module sort_mod

  implicit none

  contains
  
  recursive subroutine quick_sort(array,start,end)
    real,dimension(:)   :: array
    integer             :: start,end,partition_index,length

    length=end-start+1
    if (length .ge. 2) then 
      partition_index = partition(array,start,end)
      call quick_sort(array,start,partition_index-1)
      call quick_sort(array,partition_index+1,end)
    end if

   end subroutine
  
   function partition(array,start,end) result(p_index)
     integer              :: start,end,p_index,size_array,i
     real,dimension(:)    :: array
     real                 :: pivot,temp

     pivot = array(end)
     p_index=start
     do i=start,end-1     
       if (array(i) .le. pivot) then
         temp = array(i)
         array(i)=array(p_index)
         array(p_index)=temp   
         p_index=p_index+1
       end if
     end do
     temp=array(p_index)
     array(p_index)=array(end)
     array(end)=temp

   end function

end module
